Support » Plugin: Classic Editor » Bug in Text mode

  • Resolved SyphX

    (@syphx)


    Hi,

    Since WordPress 5.1.1, I cannot switch to the Text mode.
    When I clicked, nothing happens.

Viewing 15 replies - 1 through 15 (of 19 total)
  • Other bugs: I cannot see anymore Yoast settings in post edit or theme settings (15zine) !

    Plugin Author Andrew Ozz

    (@azaozz)

    Just re-tested Classic Editor again and it seems to be working properly here in WP 5.1.1.

    All reports (so far) seem to be related to TinyMCE not working properly in core. That can happen after a WP upgrade because of several reasons, but is usually caused by some WP plugin that enhances the editor throwing JS errors or needing an upgrade.

    Can everybody that has this issue look in the browser tools, in the “Console” tab for any JS errors and see where they are coming from please. Then start a new thread with the specific error you see, and a screenshot of the entire console tab.

    Plugin Author Andrew Ozz

    (@azaozz)

    @syphx Thanks for the screenshots!

    The error is in notice.js which seems to be a part of the wp-seo-post-scanner... script. Assuming that’s from a WP plugin. Perhaps try to disable it and see if it fixes the classic editor, then contact the plugin author.

    Plugin Author Andrew Ozz

    (@azaozz)

    Seems the culprit is

    /wp-content/plugins/onesignal-free-web-push-notifications/notice.js

    so the plugin that needs a fix is One Signal.

    As far as I see the problem is it expects some block editor script(s) to be already loaded, but they are not loaded on the classic editor Edit Post screen.

    • This reply was modified 4 months, 1 week ago by  Andrew Ozz.

    The problem is with OneSignal, they released an update with a fix.

    I have the latest OneSignal update and the issue is still there.

    I’m not sure if there was some fix last night but no problem’s here all is working as usual.

    I hit a hard refresh and everything works properly now.

    Personally, once OneSignal plugin disabled, everything works!
    So it’s not a concern of Classic Editor plugin.

    Emmageddon

    (@emmageddon)

    Sadly my issue still remains (I’ve been directed to look at this thread by the plugin author). And I do not and nor ever had the OneSignal plugin.

    Peter

    (@imthedevil)

    Hello,

    I experiencing the above problems. I found that, neither in TinyMCE Advanced nor in Classic Editor Text tab is working (nothing happens when I click it). Also, as mentioned above Yoast fields are not visible. I tried to disable TinyMCE Advanced, but unfortunately same issue applies for Classic Editor as well. The following error appears in the console (back end, on page/post edit screen):

    admin.js?ver=1.0:1 Uncaught ReferenceError: default_global_customization_type is not defined
        at HTMLDocument.<anonymous> (admin.js?ver=1.0:1)
        at i (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=5.1.1:2)
        at Object.fireWith [as resolveWith] (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=5.1.1:2)
        at Function.ready (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=5.1.1:2)
        at HTMLDocument.K (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=5.1.1:2)

    Only when switched to Gutenberg I’m able to edit HTML.

    WP version is 5.1.1. Please advice how to proceed.

    • This reply was modified 4 months ago by  Peter.
    • This reply was modified 4 months ago by  Peter.
    overnight

    (@overnight)

    Same problem.

    The «text» tab has stopped working. (I have no «OneSignal» plug-in.)

    punctulica

    (@punctulica)

    Guys, hit a hard refresh in wp admin (Ctrl+F5). That does the trick.

    overnight

    (@overnight)

    It all worked! Good luck to all!

Viewing 15 replies - 1 through 15 (of 19 total)
  • You must be logged in to reply to this topic.